> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/inquiry-templates/list-all-inquiry-templates/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all Inquiry Templates GET https://api.withpersona.com/api/v1/inquiry-templates Retrieves a list of your organization's Inquiry Templates. Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like Inquiry Templates in Sandbox via API. Results are returned in reverse chronological order, with the most recently created objects first. Reference: https://docs.withpersona.com/api-reference/inquiry-templates/list-all-inquiry-templates ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (InquiryTemplatesGetParametersPage, optional) - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a collection of Inquiry Template objects. - `data` (list of inquiry-template, required) — An array of Inquiry Templates - `links` (InquiryTemplatesGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of InquiryTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of InquiryTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of InquiryTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of InquiryTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### InquiryTemplatesGetParametersPage - `after` (string, optional) — Object ID for pagination cursor - `before` (string, optional) — Object ID for pagination cursor - `size` (double, optional) — Limit on the number of objects returned ### inquiry-template An Inquiry Template object - `id` (string, optional) - `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateAttributes, optional) - `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationships, optional) ### InquiryTemplatesGetResponsesContentApplicationJsonSchemaLinks - `prev` (string, required, nullable) - `next` (string, required, nullable) ### InquiryTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateAttributes - `name` (string, optional) — Name of the Inquiry Template - `status` (string, optional) — Possible values: - active - inactive Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `embedded-flow-domain-allowlist` (list of string, optional) — List of domains allowed for embedded flows - `hosted-flow-subdomains` (list of string, optional) — The subdomain that your hosted flow can be hosted on (e.g. "mycompany.withpersona.com") - `hosted-flow-redirect-uri-schemes` (list of string, optional) — An allowlist that specifies the URI schemes for redirect after completion of a Hosted Flow. This can be used to implement deep linking for mobile integrations. If this list is empty, all URLs with the URI scheme http or https are allowed. - `field-schemas` (list of field-schema, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationships - `latest-published-version` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationshipsLatestPublishedVersion, optional) ### field-schema - `type`: `array` (array) - `config` (FieldSchemaArrayConfig, optional) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `boolean` (boolean) - `config` (FieldSchemaBooleanConfig, optional) - `default-value` (boolean, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `choices` (choices) - `config` (FieldSchemaChoicesConfig, optional) - `default-value` (string, optional, nullable) — Must be one of the values in `config.options`, or null. - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `date` (date) - `config` (FieldSchemaDateConfig, optional) - `default-value` (date, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `datetime` (datetime) - `config` (FieldSchemaDatetimeConfig, optional) - `default-value` (datetime, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `email-address` (email-address) - `config` (FieldSchemaEmailAddressConfig, optional) - `default-value` (string, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `file` (file) - `config` (FieldSchemaFileConfig, optional) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `hash` (hash) - `config` (FieldSchemaHashConfig, optional) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `integer` (integer) - `config` (FieldSchemaIntegerConfig, optional) - `default-value` (integer, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `json` (json) - `config` (FieldSchemaJsonConfig, optional) - `default-value` (any, optional) — JSON-typed fields don't expose a default-value through this API (the stored value is a free-form JSON document; the default is `null`). - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `multi-choices` (multi-choices) - `config` (FieldSchemaMultiChoicesConfig, optional) - `default-value` (list of string, optional, nullable) — Each entry must be one of the values in `config.options`. - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `number` (number) - `config` (FieldSchemaNumberConfig, optional) - `default-value` (double, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `string` (string) - `config` (FieldSchemaStringConfig, optional) - `default-value` (string, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `relation-schema` (relation-schema) - `config` (FieldSchemaRelationConfig, optional) - `key` (string, optional) - `label` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationshipsLatestPublishedVersion - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationshipsLatestPublishedVersionData, optional, nullable) ### FieldSchemaArrayConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `item-schema` (field-schema, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaBooleanConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaChoicesConfig - `allow-empty` (boolean, optional, default: false) - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `option-labels` (list of string, optional) — Display labels for each value in `options`, in the same order. - `options` (list of string, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaDateConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max-date` (date, optional, nullable) - `min-date` (date, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaDatetimeConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaEmailAddressConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaFileConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max-file-size-bytes` (integer, optional, default: 10000000) - `min-file-size-bytes` (integer, optional, default: 1) - `page-count-limit-enabled` (boolean, optional, default: false) — Whether the document page-count limits are enforced. - `page-count-max` (integer, optional, nullable) — Maximum allowed page count when `page-count-limit-enabled` is true. - `page-count-min` (integer, optional, nullable) — Minimum allowed page count when `page-count-limit-enabled` is true. - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `supported-mime-types` (list of string, optional, default: ["image/jpg image/jpeg image/png image/heic image/heif image/tif image/tiff image/gif image/svg+xml application/pdf text/plain text/csv video/mp4 video/webm video/quicktime"]) - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaHashConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `ignore-unknown-keys` (boolean, optional, default: false) - `item-schemas` (list of field-schema, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaIntegerConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max` (double, optional) - `min` (double, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaJsonConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `json-schema` (map from string to any, optional) — A JSON Schema document (Draft 7 syntax) describing the shape of values stored in this field. Synthesized server-side by some verification types (e.g. `government-id` writes a map of national identification numbers); the schema is informational and may evolve without a versioned update. - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaMultiChoicesConfig - `allow-empty` (boolean, optional, default: false) - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `option-labels` (list of string, optional) — Display labels for each value in `options`, in the same order. - `options` (list of string, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaNumberConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max` (double, optional) - `min` (double, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaStringConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max-char-length` (integer, optional, default: 255) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `sanitize` (list of string, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaRelationConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `target` (string, optional) — Customer-facing identifier for the specific Relation subtype this field points to — `document-generic`, `document-government-id`, `document-government-id-nfc`, `document-mdoc`, `document-qr-code`, or `selfie`. Use this on a future write API to specify which relation kind to create. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationshipsLatestPublishedVersionData - `type` ("inquiry-template-version", optional) - `id` (string, optional) ## Examples **Response** ```json { "data": [ { "id": "itmpl_ABC123", "attributes": { "name": "Basic KYC verification flow", "status": "active", "embedded-flow-domain-allowlist": [ "example.com", "app.example.com" ], "hosted-flow-subdomains": [ "mycompanyname" ], "hosted-flow-redirect-uri-schemes": [ "https", "http" ] }, "relationships": { "latest-published-version": { "data": { "type": "inquiry-template-version", "id": "itmplv_XYZ789" } } }, "type": "inquiry-template" } ], "links": { "prev": null, "next": "/api/v1/inquiry-templates?page%5Bafter%5D=itmpl_ABC123" } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/inquiry-templates" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/inquiry-templates'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/inquiry-templates" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/inquiry-templates") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/inquiry-templates") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/inquiry-templates', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/inquiry-templates"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/inquiry-templates")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```